#include<iostream>
using namespace std;
int main()
{
    int a;
    cin>>a;
    long long b[a],p=0,p2=0,m=0;
    for(int i=0; i<a; i++)
    {
        cin>>b[i];if(b[i]>b[p])p=i;
    }
    p2=p-1;
    for(int i=p-2;i>=0;i--){
        if(b[i]>b[p2])p2=i;
        if(b[p2]-(p-p2)+1>m)m=b[p2]-((p-p2)+1);
    }
    cout<<m;
    return 0;
}
//tova e samo test

